This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 61878 - up2date unable to resolve dependencies.
up2date unable to resolve dependencies.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 09:52 EST by Nick Booth
Modified: 2015-01-07 18:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 16:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Booth 2002-03-25 09:52:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
hia I am trying to get my linux box to update to the latest version of rpm 
(amoung other things) I get the error message below. how do I work arround this 
problem and get the thing to install. 

up2date --update

Retrieving list of all available packages...
########################################
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem.  The message was:

==Unresolvable chain of dependencies:
perl-Perl-RPM  0.291-2                   requires librpm.so.0
perl-Perl-RPM  0.291-2                   requires librpmio.so.0

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date --update on my box.
2.
3.
	

Actual Results:  up2date --update

Retrieving list of all available packages...
########################################
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem.  The message was:

==Unresolvable chain of dependencies:
perl-Perl-RPM  0.291-2                   requires librpm.so.0
perl-Perl-RPM  0.291-2                   requires librpmio.so.0



Expected Results:  update working.

Additional info:

I belive there is a security update waiting to be installed.
Comment 1 David M. Cook 2002-03-27 16:51:26 EST
The perl-Perl-RPM package has been renamed to rpm-perl.
Try removing the perl-Perl-RPM package and proceeding with your update:

rpm -e perl-Perl-RPM
up2date -u

and then if you want rpm-perl:

up2date rpm-perl
Comment 2 Nick Booth 2002-03-28 04:53:47 EST
thnaks this seems to have fixed the problem phaps it would be good to document 
this some where on the Errata Page.

thanks

Nick

Note You need to log in before you can comment on or make changes to this bug.